void CenterImageInColumn(UI::Texture@ &in texture, const vec2 &in imageSize) {
    float columnWidth = UI::GetContentRegionAvail().x;
    float offsetX = (columnWidth - imageSize.x) * 0.5;
    UI::SetCursorPos(UI::GetCursorPos() + vec2(offsetX, 0));
    UI::Image(texture, imageSize);
}